Up

# NSSound

### Authors

Enrico Sersale (`enrico@imago.ro`)

> Load, manipulate and play sounds

Copyright: (C) 2002 Free Software Foundation, Inc.

### Contents -

1. Software documentation for the NSSound class
2. Software documentation for the NSBundle(NSSoundAdditions) category
3. Software documentation for the NSObject(NSSoundDelegate) informal protocol

# Software documentation for the NSSound class

## NSSound : NSObject

> Declared in:
>   AppKit/NSSound.h

> Conforms to:
>   NSCoding
>   NSCopying

Availability: OpenStep
Description forthcoming.

Instance Variables
Method summary

- +canInitWithPasteboard:
- +soundNamed:
- +soundUnfilteredFileTypes
- +soundUnfilteredPasteboardTypes
- -delegate
- -initWithContentsOfFile:byReference:
- -initWithContentsOfURL:byReference:
- -initWithData:
- -initWithPasteboard:
- -isPlaying
- -name
- -pause
- -play
- -resume
- -setDelegate:
- -setName:
- -stop
- -writeToPasteboard:

### canInitWithPasteboard:

+ (BOOL) canInitWithPasteboard: (NSPasteboard*)pasteboard;
Availability: OpenStep
Description forthcoming.

### soundNamed:

+ (id) soundNamed: (NSString*)name;
Availability: OpenStep
Description forthcoming.

### soundUnfilteredFileTypes

+ (NSArray*) soundUnfilteredFileTypes;
Availability: OpenStep
Description forthcoming.

### soundUnfilteredPasteboardTypes

+ (NSArray*) soundUnfilteredPasteboardTypes;
Availability: OpenStep
Description forthcoming.

### delegate

- (id) delegate;
Availability: OpenStep
Description forthcoming.

### initWithContentsOfFile: byReference:

- (id) initWithContentsOfFile: (NSString*)path byReference: (BOOL)byRef;
Availability: OpenStep
Description forthcoming.

### initWithContentsOfURL: byReference:

- (id) initWithContentsOfURL: (NSURL*)url byReference: (BOOL)byRef;
Availability: OpenStep
Description forthcoming.

### initWithData:

- (id) initWithData: (NSData*)data;
Availability: OpenStep
Description forthcoming.

### initWithPasteboard:

- (id) initWithPasteboard: (NSPasteboard*)pasteboard;
Availability: OpenStep
Description forthcoming.

### isPlaying

- (BOOL) isPlaying;
Availability: OpenStep
Description forthcoming.

### name

- (NSString*) name;
Availability: OpenStep
Description forthcoming.

### pause

- (BOOL) pause;
Availability: OpenStep
Description forthcoming.

### play

- (BOOL) play;
Availability: OpenStep
Description forthcoming.

### resume

- (BOOL) resume;
Availability: OpenStep
Description forthcoming.

### setDelegate:

- (void) setDelegate: (id)aDelegate;
Availability: OpenStep
Description forthcoming.

### setName:

- (BOOL) setName: (NSString*)aName;
Availability: OpenStep
Description forthcoming.

### stop

- (BOOL) stop;
Availability: OpenStep
Description forthcoming.

### writeToPasteboard:

- (void) writeToPasteboard: (NSPasteboard*)pasteboard;
Availability: OpenStep
Description forthcoming.

## Instance Variables for NSSound Class

### _channelCount

@protected int _channelCount;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _data

@protected NSData* _data;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _dataFormat

@protected int _dataFormat;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _dataLocation

@protected long int _dataLocation;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _dataSize

@protected long int _dataSize;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _delegate

@protected id _delegate;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _frameCount

@protected long int _frameCount;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _frameSize

@protected float _frameSize;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _name

@protected NSString* _name;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _onlyReference

@protected BOOL _onlyReference;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _samplingRate

@protected float _samplingRate;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _uniqueIdentifier

@protected NSString* _uniqueIdentifier;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

# Software documentation for the NSBundle(NSSoundAdditions) category

## NSBundle(NSSoundAdditions)

> Declared in:
>   AppKit/NSSound.h

Availability: OpenStep
Description forthcoming.
Method summary

- -pathForSoundResource:

### pathForSoundResource:

- (NSString*) pathForSoundResource: (NSString*)name;
Availability: OpenStep
Description forthcoming.

# Software documentation for the NSObject(NSSoundDelegate) informal protocol

## NSObject(NSSoundDelegate)

> Declared in:
>   AppKit/NSSound.h

Availability: OpenStep
Description forthcoming.
Method summary

- -sound:didFinishPlaying:

### sound: didFinishPlaying:

- (void) sound: (NSSound*)sound didFinishPlaying: (BOOL)aBool;
Availability: OpenStep
Description forthcoming.

Up